# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Types | Public Member Functions

# vl::VLXArrayTemplate< T > Class Template Reference

A templated VLXArray. More...

`#include <VLXValue.hpp>`

Inheritance diagram for vl::VLXArrayTemplate< T >:

List of all members.

## Public Types

typedef T | scalar_type

## Public Member Functions

| VLXArrayTemplate (const char *tag=NULL)
std::vector< T > & | value ()
const std::vector< T > & | value () const
T * | ptr ()
const T * | ptr () const
template<typename T2 >
void | copyTo (T2 *ptr) const
template<typename T2 >
void | copyFrom (const T2 *ptr)

## Detailed Description

### template<typename T>
class vl::VLXArrayTemplate< T >

A templated VLXArray.

Definition at line 105 of file VLXValue.hpp.

## Member Typedef Documentation

template<typename T>

typedef T vl::VLXArrayTemplate< T >::scalar_type

Definition at line 110 of file VLXValue.hpp.

## Constructor & Destructor Documentation

template<typename T>

vl::VLXArrayTemplate< T >::VLXArrayTemplate | ( | const char * | tag = `NULL` ) | `[inline]`

Definition at line 113 of file VLXValue.hpp.

## Member Function Documentation

template<typename T>

std::vector<T>& vl::VLXArrayTemplate< T >::value | ( | ) | `[inline]`

Definition at line 115 of file VLXValue.hpp.

Referenced by vl::VLXClassWrapper_DrawCall::importDrawCall(), vl::VLXClassWrapper_Uniform::importUniform(), vl::VLXParserVLB::readValue(), vl::VLXVisitorExportToVLT::visitArray(), vl::VLXVisitorExportToVLB::visitArray(), vl::vlx_ivec4(), vl::vlx_mat4(), vl::vlx_toValue(), vl::vlx_uivec4(), vl::vlx_vec2(), vl::vlx_vec3(), and vl::vlx_vec4().

template<typename T>

const std::vector<T>& vl::VLXArrayTemplate< T >::value | ( | ) | const`[inline]`

Definition at line 117 of file VLXValue.hpp.

template<typename T>

T* vl::VLXArrayTemplate< T >::ptr | ( | ) | `[inline]`

Definition at line 119 of file VLXValue.hpp.

Referenced by vl::VLXArrayTemplate< long long >::copyFrom(), and vl::VLXArrayTemplate< long long >::copyTo().

template<typename T>

const T* vl::VLXArrayTemplate< T >::ptr | ( | ) | const`[inline]`

Definition at line 121 of file VLXValue.hpp.

template<typename T>
template<typename T2 >

void vl::VLXArrayTemplate< T >::copyTo | ( | T2 * | ptr ) | const`[inline]`

Definition at line 123 of file VLXValue.hpp.

Referenced by vl::VLXClassWrapper_DrawCall::importDrawCall(), vl::VLXClassWrapper_Uniform::importUniform(), vl::vlx_ivec4(), vl::vlx_mat4(), vl::vlx_uivec4(), vl::vlx_vec2(), vl::vlx_vec3(), and vl::vlx_vec4().

template<typename T>
template<typename T2 >

void vl::VLXArrayTemplate< T >::copyFrom | ( | const T2 * | ptr ) | `[inline]`

Definition at line 125 of file VLXValue.hpp.

Referenced by vl::vlx_toValue().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXValue.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:18.
Permission is granted to use this page to write and publish articles regarding Visualization Library.